Top-up

POST
/top-up

Authorization

AuthorizationRequiredBasic <token>

In: header

Request Body

application/jsonRequired
amountRequirednumber
referenceNoRequiredstring
beneficiaryIdRequiredstring
beneficiaryTypestring
channelRequiredstring

Response Body

The request was successful, and a new resource was created.

TypeScript Definitions

Use the response body type in TypeScript.

statusCodeRequiredinteger
successRequiredboolean
dataRequiredobject
messageRequiredstring
curl -X POST "https://testcbrs.eaglelionsystems.com/v1.0/cbrs-api/connect/top-up" \
  -H "Authorization: Basic <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "amount": 100,
    "referenceNo": "DAHA9035875387",
    "beneficiaryId": "68774b604ed43305e1d0e1f6",
    "beneficiaryType": "member",
    "channel": "nala-mobile"
  }'
{
  "statusCode": 200,
  "success": true,
  "data": {
    "billRefNo": "250918171082",
    "thirdPartyRefNo": "Nala0359600"
  },
  "message": "Transaction completed successfully"
}